Subject: bug#71012: 30.0.50; tree-sitter crash

From: Yuan Fu <[email-masked]>
Date: Mon, 27 May 2024 15:10:36 -0700

> On May 17, 2024, at 11:07 PM, Yuan Fu <[email-masked]> wrote:
> 
> 
> 
>> On May 17, 2024, at 8:29 AM, Eli Zaretskii <[email-masked]> wrote:
>> 
>>> From: Helmut Eller <[email-masked]>
>>> Date: Fri, 17 May 2024 15:39:27 +0200
>>> 
>>> The code in the attached file tries to parse src/lisp.h but crashes
>>> while printing the result:  emacs --batch -l ts-bug.el
>> 
>> Yuan, can you help, please?
>> 
>> Btw, why do you use treesit-parse-string?  The Emacs integration with
>> tree-sitter can parse a buffer without making a string from its
>> contents.
> 
> Yep, I’ll look into it.
> 
> Yuan

Just an update, I didn’t forget about this. If I didn’t reply back today, I will in a few days :-)

Yuan